Main Page Modules Data Structures File List Data Fields Globals Related Pages

# sha1Param Struct Reference
[Hash Functions: SHA-1]

`#include <sha1.h>`

## Data Fields
uint32 | h [5]
uint32 | data [80]
uint64 | length
uint8 | offset

## Field Documentation

uint32 sha1Param::data[80]

| Definition at line 38 of file sha1.h. Referenced by fips186Next.

uint32 sha1Param::h[5]

| Definition at line 37 of file sha1.h. Referenced by fips186Next.

uint64 sha1Param::length

| Definition at line 39 of file sha1.h.

uint8 sha1Param::offset

| Definition at line 40 of file sha1.h.

The documentation for this struct was generated from the following file:

- beecrypt/sha1.h